gnutls_mac_get_key_size(3)

NAME
gnutls_mac_get_key_size - Returns the length of the MAC's key size

SYNOPSIS
#include <gnutls/gnutls.h>

size_t gnutls_mac_get_key_size(gnutls_mac_algorithm_t algorithm);

ARGUMENTS

gnutls_mac_algorithm_t algorithm
    is an encryption algorithm

DESCRIPTION
Get size of MAC key.

RETURNS
length (in bytes) of the given MAC key size, or 0 if the given MAC algorithm is invalid.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.

COPYRIGHT
Copyright © 2008 Free Software Foundation.
Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.